blogs resource endpoint
URL: /blogs/<id>.<format>
Supported Methods
| GET | Get basic information about the selected blog. |
Resource Type
This endpoint returns an object of type Blog.
- description (string)
- The description of the blog as provided by its owner.
- homeUrl (string)
- The URL of the blog's home page.
- id (string)
- A URI that serves as a globally unique identifier for the object.
- objectType (string)
- The keyword identifying the type of object this is. For a Blog object, objectType will be Blog.
- objectTypes (set<string>)
- (Deprecated) An array of object type identifier URIs. This set will contain the string tag:api.typepad.com,2009:Blog for a Blog object.
- owner (User)
- The user who owns the blog.
- title (string)
- The title of the blog.
- urlId (string)
- A string containing the canonical identifier that can be used to identify this object in URLs. This can be used to recognise where the same user is returned in response to different requests, and as a mapping key for an application's local data store.
Client Library Methods for PHP
- Get basic information about the selected blog.
$tp->blogs->get(array( # Required Parameters "id" => $id, ))
Property Endpoints
This endpoint has the following property endpoints:
| post-by-email-settings | |
| stats | Get data about the pageviews for the selected blog. |
| categories | Get a list of categories which are defined for the selected blog. |
| comments | |
| commenting-settings | Get the commenting-related settings for this blog. |
| crosspost-accounts | Get a list of accounts that can be used for crossposting with this blog. |
| category-details | Get a list of objects representing the categories defined for the selected blog along with some category metadata. |
| page-assets | Get a list of pages associated with the selected blog. |
| media-assets | Add a new media asset to the account that owns this blog. |
| post-assets | Get a list of posts associated with the selected blog. |
Action Endpoints
This endpoint has the following action endpoints:
| begin-import | Begin an import into the selected blog. |
| remove-category | Send label argument to remove a category from the blog |
| add-category | Send label argument to remove a category from the blog |
| discover-external-post-asset | If the selected blog is a connected blog, create or retrieve the external post stub for the given permalink. |
| build-embed-code-for-urls | Given an array of absolute URLs, will try to return a block of HTML that embeds the content represented by those URLs as sensibly as possible. |
Example Request
GET /blogs/6a012877b13de7970c012877b13df1970c.json HTTP/1.1
Host: api.typepad.com
HTTP/1.0 200 OK
Content-type: application/json
Content-length: 1141
{
"owner": {
"urlId": "6p012877b13de7970c",
"location": null,
"interests": [],
"objectTypes": [
"tag:api.typepad.com,2009:User"
],
"profilePageUrl": "http://profile.typepad.com/loblawatlaw",
"aboutMe": null,
"objectType": "User",
"preferredUsername": "loblawatlaw",
"id": "tag:api.typepad.com,2009:6p012877b13de7970c",
"avatarLink": {
"width": 250,
"urlTemplate": "http://static.typepad.com/.shared:v813c080:typepad:en_us/default-userpics/11-{spec}.gif",
"url": "http://static.typepad.com/.shared:v813c080:typepad:en_us/default-userpics/11-250si.gif",
"height": 250
},
"displayName": "Bob Loblaw"
},
"urlId": "6a012877b13de7970c012877b13df1970c",
"objectType": "Blog",
"objectTypes": [
"tag:api.typepad.com,2009:Blog"
],
"title": "Bob Loblaw Law Blog",
"id": "tag:api.typepad.com,2009:6a012877b13de7970c012877b13df1970c",
"description": "Why should <em>you</em> go to jail for a crime someone else noticed?",
"homeUrl": "http://bobloblaw.typepad.com/blog/"
}